@import "../../../../styles.scss";

nav {
  height: 50px;
  width: 100%;
  display: flex;
  align-items: center;
  background-color: rgb(240, 240, 240);
  z-index: 30;
  top: 0;

  #hamburger {
    display: none;
  }

  .hamburger-btn {
    display: none;
    cursor: pointer;
    width: 45px;
    height: 30px;
    background: url(../../../../assets/dropdown-btn.svg) no-repeat;
    background-position: center;
    z-index: 20;
  }

  .menu {
    padding: 0 2%;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    z-index: 20;

    &__item {
      display: inline-block;
      margin-right: 10px;
      line-height: 50px;

      ::selection {
        background: none;
      }

      a {
        border-bottom: 2px solid lighten($primary-color, $amount: 15);
        transition: 0.5s ease;
        border-radius: 5px;
        font-size: 0.9em;
        padding: 0.3rem 0.7rem;
        color: $font-color;
        width: 100%;
        height: 100%;
        box-sizing: border-box;

        &:hover,
        &.active {
          background-color: $primary-color;
          color: white;
        }
      }

      &--float-right {
        float: right;
        margin: 0;
      }
    }
  }
}

.overlay {
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  z-index: -1;
  transition: 1.5s ease;
}

@media only screen and (min-width: 1025px) {
  .overlay {
    display: none;
  }
}

@media only screen and (max-width: 1024px) {
  header {
    margin-bottom: 50px;
  }

  nav {
    position: fixed;

    .hamburger-btn {
      display: block;
      margin-left: 10px;
    }

    .menu {
      display: block;
      position: absolute;
      top: 50px;
      z-index: 20;
      padding: 0;
      margin: 0;

      &__item {
        width: 100%;
        background-color: rgb(255, 255, 255);

        a {
          border-radius: 0;
          display: block;
        }
      }
    }
  }

  #hamburger:checked ~ .overlay {
    display: none;
  }

  #hamburger:checked ~ .menu {
    display: none;
  }
}
